create or replace function get_product_img(
  p_src varchar2
  ) return blob is
  l_image blob;
begin
  select product_image into l_image
  from plpdf_demo_product_info
  where product_name = p_src;
  return l_image;
end;